<?php


namespace SRVX\Model;
use Phalcon\Mvc\Model;
use Phalcon\Mvc\Model\Behavior\SoftDelete;


class BasicModel extends Model
{
    /**
     * Initialize method for model.
     */
    public function initialize()
    {

        // 软删除 也可写着model基类中，这样可以统一使用软删除
        $this->addBehavior(
            new SoftDelete(
                array(
                    'field' => 'deleted_at',        //这块需要注意，数据表中必须有一个deleted_at字段，当然这个名字可以按照自己的心情来
                    'value' => date("Y-m-d H:i:s", time())
                )
            )
        );
        $this->useDynamicUpdate(true);
    }
}